- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
pdftron::PDF::XODOutputOptions Class Reference

`#include <Convert.h>`

Inheritance diagram for pdftron::PDF::XODOutputOptions:

## Public Types
enum | AnnotationOutputFlag { e_internal_xfdf, e_external_xfdf, e_flatten }
Public Types inherited from pdftron::PDF::XPSOutputCommonOptions
enum | OverprintPreviewMode { e_op_off = 0, e_op_on, e_op_pdfx_on }

## Public Member Functions
void | SetExtractUsingZorder (bool use_zorder)
void | SetOutputThumbnails (bool include_thumbs)
void | SetThumbnailSize (UInt32 size)
void | SetThumbnailSize (UInt32 regular_size, UInt32 large_size)
void | SetElementLimit (UInt32 element_limit)
void | SetOpacityMaskWorkaround (bool opacity_render)
void | SetMaximumImagePixels (UInt32 max_pixels)
void | SetFlattenContent (enum Convert::FlattenFlag flatten)
void | SetFlattenThreshold (enum Convert::FlattenThresholdFlag threshold)
void | SetPreferJPG (bool prefer_jpg)
void | SetJPGQuality (UInt32 quality)
void | SetSilverlightTextWorkaround (bool workaround)
void | SetAnnotationOutput (enum AnnotationOutputFlag annot_output)
void | SetExternalParts (bool generate)
void | SetEncryptPassword (const char *pass)
void | UseSilverlightFlashCompatible (bool compatible)
Public Member Functions inherited from pdftron::PDF::XPSOutputCommonOptions
| XPSOutputCommonOptions ()
void | SetPrintMode (bool print_mode)
void | SetDPI (UInt32 dpi)
void | SetRenderPages (bool render)
void | SetThickenLines (bool thicken)
void | GenerateURLLinks (bool generate)
void | SetOverprint (enum OverprintPreviewMode mode)

## Additional Inherited Members
Public Attributes inherited from pdftron::PDF::XPSOutputCommonOptions
TRN_Obj | m_obj
Protected Attributes inherited from pdftron::PDF::XPSOutputCommonOptions
SDF::ObjSet | m_objset

## Detailed Description

A class containing options for ToXod functions

Definition at line 1500 of file Convert.h.

## Member Enumeration Documentation

enum pdftron::PDF::XODOutputOptions::AnnotationOutputFlag

Enumerator
e_internal_xfdf |
e_external_xfdf |
e_flatten |

Definition at line 1504 of file Convert.h.

## Member Function Documentation

void pdftron::PDF::XODOutputOptions::SetAnnotationOutput | ( | enum AnnotationOutputFlag | annot_output | ) |

Choose how to output annotations. Default is e_internal_xfdf.

Parameters

  annot_output | the flag to specify the output option

void pdftron::PDF::XODOutputOptions::SetElementLimit | ( | UInt32 | element_limit | ) |

If rendering is permitted, sets the maximum number of page elements before that page will be rendered. Default is 2000000000 which will never cause pages to be completely rendered in this manner.

Parameters

  element_limit | the maximum number of elements before a given page will be rendered

void pdftron::PDF::XODOutputOptions::SetEncryptPassword | ( | const char * | pass | ) |

Encrypt XOD parts with AES 128 encryption using the supplied password. This option is not available when using SetExternalParts(true)

Parameters

  pass | the encryption password

void pdftron::PDF::XODOutputOptions::SetExternalParts | ( | bool | generate | ) |

Output XOD as a collection of loose files rather than a zip archive. This option should be used when using the external part retriever in Webviewer. Default is false.

Parameters

  generate | if true XOD is output as a collection of loose files

void pdftron::PDF::XODOutputOptions::SetExtractUsingZorder | ( | bool | use_zorder | ) |

Sets whether text extraction uses Z-order as reading order. Default is false.

Parameters

  use_zorder | if true text extraction uses Z-order as reading order.

void pdftron::PDF::XODOutputOptions::SetFlattenContent | ( | enum Convert::FlattenFlag | flatten | ) |

Flatten images and paths into a single background image overlaid with vector text. This option can be used to improve speed on devices with little processing power such as iPads. Default is e_high_quality.

Parameters

  flatten | select which flattening mode to use.

void pdftron::PDF::XODOutputOptions::SetFlattenThreshold | ( | enum Convert::FlattenThresholdFlag | threshold | ) |

Used to control how precise or relaxed text flattening is. When some text is preserved (not flattened to image) the visual appearance of the document may be altered.

Parameters

  threshold | the threshold setting to use.

void pdftron::PDF::XODOutputOptions::SetJPGQuality | ( | UInt32 | quality | ) |

Specifies the compression quality to use when generating JPEG images.

Parameters

  quality | the JPEG compression quality, from 0(highest compression) to 100(best quality).

void pdftron::PDF::XODOutputOptions::SetMaximumImagePixels | ( | UInt32 | max_pixels | ) |

Specifies the maximum image slice size in pixels. Default is 2000000.

Note
  This setting now will no longer reduce the total number of image pixels. Instead a lower value will just produce more slices and vice versa.
  Since image compression works better with more pixels a larger max pixels should generally create smaller files.

Parameters

  max_pixels | the maximum number of pixels an image can have

void pdftron::PDF::XODOutputOptions::SetOpacityMaskWorkaround | ( | bool | opacity_render | ) |

If rendering is permitted, sets whether pages containing opacity masks should be rendered. This option is used as a workaround to a bug in Silverlight where opacity masks are transformed incorrectly. Default is false.

Parameters

  opacity_render | if true pages with opacity masks will be rendered

void pdftron::PDF::XODOutputOptions::SetOutputThumbnails | ( | bool | include_thumbs | ) |

Sets whether per page thumbnails should be included in the file. Default is true.

Parameters

  include_thumbs | if true thumbnails will be included

void pdftron::PDF::XODOutputOptions::SetPreferJPG | ( | bool | prefer_jpg | ) |

Where possible output JPG files rather than PNG. This will apply to both thumbnails and document images. Default is true.

Parameters

  prefer_jpg | if true JPG images will be used whenever possible.

void pdftron::PDF::XODOutputOptions::SetSilverlightTextWorkaround | ( | bool | workaround | ) |

Outputs rotated text as paths. This option is used as a workaround to a bug in Silverlight where pages with rotated text could cause the plugin to crash. Default is false.

Parameters

  workaround | if true rotated text will be changed to paths

void pdftron::PDF::XODOutputOptions::SetThumbnailSize | ( | UInt32 | size | ) |

The width and height of a square in which thumbnails will be contained. Default is 400 for normal pages and 1500 for large pages.

Note
  A large page is a page larger than twice the area of the standard page size (8.5 X 11).

Parameters

  size | the maximum dimension (width or height) that thumbnails will have.

void pdftron::PDF::XODOutputOptions::SetThumbnailSize | ( | UInt32 | regular_size,
|  | UInt32 | large_size
| ) |  |

The width and height of squares in which thumbnails will be contained. Default is 400 for normal pages and 1500 for large pages.

Note
  A large page is a page larger than twice the area of the standard page size (8.5 X 11).

Parameters

  regular_size | the maximum dimension that thumbnails for regular size pages will have.
  large_size | the maximum dimension that thumbnails for large pages will have.

void pdftron::PDF::XODOutputOptions::UseSilverlightFlashCompatible | ( | bool | compatible | ) |

The latest XOD format is only partially supported in Silverlight and Flash due to various optimizations in the text format and the addition of blend mode support. This option forces the converter to use an older version of XOD that is Silverlight/Flash compatible but does not have these improvements. By default the latest XOD format is generated.

Parameters

  compatible | if true will use the older XOD format which is not compatible with Silverlight/Flash

The documentation for this class was generated from the following file:

- PDF/Convert.h